CPG_FD_GET(3)

NAME
cpg_fd_get - Dispatches callbacks from the CPG service

SYNOPSIS
#include <corosync/cpg.h>

int cpg_fd_get(cpg_handle_t handle, int *fd);

DESCRIPTION
The cpg_fd_get function is used to retrieve the file descriptor that may be used with the poll system call to determine when cpg_dispatch(3) won't block. The handle argument may not be used directly with poll because it is not the file descriptor, but instead an internal identifier used by the CPG library.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

ERRORS
The errors are undocumented.

SEE ALSO
cpg_overview(8), cpg_initialize(3), cpg_finalize(3), cpg_fd_get(3), cpg_dispatch(3), cpg_join(3), cpg_leave(3), cpg_mcast_joined(3), cpg_membership_get(3) cpg_zcb_alloc(3) cpg_zcb_free(3) cpg_zcb_mcast_joined(3) cpg_context_get(3) cpg_context_set(3) cpg_local_get(3)